Subject: bug#15841: Display bugs with cache-long-lines non-nil

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2013 10:31:45 +0200

> From: Michael Heerdegen <[email-masked]>
> Date: Sat, 09 Nov 2013 03:37:49 +0100
> Cc: [email-masked], [email-masked]
> 
> I see something probably related.  Sometimes, evaluating
> 
>   (line-number-at-pos)
> 
> at the end of my .emacs (10000 lines) needs over a second.  Doing
> 
>   (setq cache-long-scans nil)
> 
> immediately fixes this.  Dunno yet how to provoke the problem.

Please do try to find a recipe.  I just did that with xdisp.c (almost
30000 lines), and couldn't reproduce this.  line-number-at-pos is
instantaneous, whether I try it at the beginning, the end, or the
middle of the file.